'use strict';

/// <reference lib="dom" />
const toQuery = (o) => {
    const q = Object.keys(o)
        .map((k) => ({ k, v: o[k] }))
        .filter((x) => x.v !== undefined && x.v !== null)
        .map((x) => Array.isArray(x.v)
        ? x.v.map((v) => `${encodeURIComponent(x.k)}=${encodeURIComponent(v)}`).join('&')
        : `${encodeURIComponent(x.k)}=${encodeURIComponent(x.v)}`)
        .join('&');
    return q ? `?${q}` : '';
};
const toFormData = (o) => {
    const fd = new FormData();
    Object.entries(o).forEach(([key, data]) => fd.append(key, data));
    return fd;
};

exports.toFormData = toFormData;
exports.toQuery = toQuery;
//# sourceMappingURL=request-helpers.js.map
